/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-05-14
 * 描述            ：合同条款明细
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Order.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Order.mapper.PurOrderClauseDMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_ORDER_CLAUSE_D", namespace=PurOrderClauseDMapper.class)
public class PurOrderClauseD extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 4341845607204274026L;
	/** 
	 * 合同条款ID(TK+YYYYMMDD+3位流水)
	 */ 
	@Id
	private String clause_no;
	public String getClause_no() {
		return this.clause_no;
	}
	public void setClause_no(String clause_no) {
		this.clause_no = clause_no;
	}
	
	/** 
	 * 合同号pk
	 */ 
	@Column
	private String contract_pk;
	public String getContract_pk() {
		return contract_pk;
	}
	public void setContract_pk(String contract_pk) {
		this.contract_pk = contract_pk;
	}

	/** 
	 * 合同号
	 */ 
	@Column
	private String contract_no;
	public String getContract_no() {
		return this.contract_no;
	}
	public void setContract_no(String contract_no) {
		this.contract_no = contract_no;
	}


	/** 
	 * 条款代码（条款配置表）
	 */ 
	@Column
	private String clause_code;
	public String getClause_code() {
		return this.clause_code;
	}
	public void setClause_code(String clause_code) {
		this.clause_code = clause_code;
	}

	/** 
	 * 条款名称
	 */ 
	@Column
	private String clause_name;
	public String getClause_name() {
		return this.clause_name;
	}
	public void setClause_name(String clause_name) {
		this.clause_name = clause_name;
	}

	/** 
	 * 条款内容
	 */ 
	@Column
	private String clause_desc;
	public String getClause_desc() {
		return this.clause_desc;
	}
	public void setClause_desc(String clause_desc) {
		this.clause_desc = clause_desc;
	}

	/** 
	 * 条款排序(打印排序)
	 */ 
	@Column
	private Long clause_order_by;
	public Long getClause_order_by() {
		return this.clause_order_by;
	}
	public void setClause_order_by(Long clause_order_by) {
		this.clause_order_by = clause_order_by;
	}

	/** 
	 * 创建人ID
	 */ 
	@Column
	private String create_userid;
	public String getCreate_userid() {
		return this.create_userid;
	}
	public void setCreate_userid(String create_userid) {
		this.create_userid = create_userid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人ID
	 */ 
	@Column
	private String update_userid;
	public String getUpdate_userid() {
		return this.update_userid;
	}
	public void setUpdate_userid(String update_userid) {
		this.update_userid = update_userid;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}
	
	/** 
	 * 条款分类
	 */ 
	private String clause_type;
	public String getClause_type() {
		return clause_type;
	}
	public void setClause_type(String clause_type) {
		this.clause_type = clause_type;
	}
	
	/** 
	 * 使用合同类别
	 */ 
	private String order_type;
	public String getOrder_type() {
		return order_type;
	}
	public void setOrder_type(String order_type) {
		this.order_type = order_type;
	}
	
}
